Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227771 - FHS: use sysconfdir (/etc) as config file location
Summary: FHS: use sysconfdir (/etc) as config file location
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-08 00:09 UTC by Rich Megginson
Modified: 2015-12-07 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:56:15 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-02-08 18:07 UTC, Rich Megginson
no flags Details | Diff
new diffs (deleted)
2007-02-08 18:20 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-02-08 18:42 UTC, Rich Megginson
no flags Details
diffs to add instconfigdir (deleted)
2007-02-12 18:12 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-02-12 19:41 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-02-08 00:09:30 UTC
It is ok that our dynamic config files are under /etc/fedora-ds/slapd-instance.
 So the config_dir will be /etc/fedora-ds/slapd-instance and the security and
schema files will go there as well.

Comment 1 Rich Megginson 2007-02-08 18:07:00 UTC
Created attachment 147682 [details]
diffs

There were also two other problems:
1) repl-monitor-cgi has a dependency on Cgi.pm.  The core fedora-ds package
does not support cgis, so we should remove it.	This also causes rpm to error
during installation.
2) When creating the directories to use for the instance, if the directory
already exists, we should chown it anyway, just to make sure it has the correct
ownerships and permissions.

Comment 2 Rich Megginson 2007-02-08 18:20:17 UTC
Created attachment 147685 [details]
new diffs

Comment 3 Noriko Hosoi 2007-02-08 18:31:22 UTC
Looks good to me.

Comment 4 Nathan Kinder 2007-02-08 18:40:04 UTC
Looks good.

Comment 5 Rich Megginson 2007-02-08 18:42:27 UTC
Created attachment 147690 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: After much deliberation, we have decided that it is ok that
our dynamic config files are under /etc/fedora-ds/slapd-instance.
So the config_dir will be /etc/fedora-ds/slapd-instance and the security and
schema files will go there as well.  Since the FHS is ambiguous about this
issue, and it will be very confusing if the configuration files are not under
/etc, and there are some agents (webmin, cfengine) that do "dynamically" modify
config files under /etc, this outweighs any considerations about having the
server using it's config file like an "ascii database".
In addition, the presence of repl-monitor-cgi causes rpm to complain, and since
we only support CGIs in the Admin Server, this file has been removed from the
core fedora-ds package.
Platforms tested: RHEL4, FC6
Flag Day: no
Doc impact: no

Comment 6 Rich Megginson 2007-02-12 18:12:07 UTC
Created attachment 147916 [details]
diffs to add instconfigdir

Comment 7 Nathan Kinder 2007-02-12 19:05:08 UTC
The changes in comment#6 look fine.

Comment 8 Noriko Hosoi 2007-02-12 19:25:39 UTC
Looks good to me, too.

When checking in, could you please make sure it builds with the spec file
fedora-ds/<platform>/fedora-ds.spec for the nightly build?  Thanks.

Comment 9 Rich Megginson 2007-02-12 19:41:14 UTC
Created attachment 147933 [details]
cvs commit log

Reviewed by: nkinder, nhosoi, prowley (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: I've added a new configure switch: --with-instconfigdir.  This
switch will allow the user to specify a different location to store the dynamic
instance specific config files rather than the default
$sysconfdir/$package_name (e.g. /etc/fedora-ds).  This is the directory which
will contain the slapd-instance directories which contain the instance specific
config, schema, and security files.  Even though the user could override this
with ds_newinst.pl ([slapd] section config_dir), we needed to be able to set
the default so that the user would not have to remember to do this every time,
and so that packagers could set a reasonable default value for their platform.
Platforms tested: FC6, RHEL4
Flag Day: no
Doc impact: no

Comment 10 Nathan Kinder 2007-12-20 19:26:48 UTC
Verified that are config files are under /etc now.  We have since changed the
path a bit from the path this bug used though.  We are using a path of
/etc/dirsrv/slapd-foo.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.